Loading...
Searching...
No Matches
pqxx::string_traits< bytes_view > Struct Reference

## Static Public Member Functions

static std::size_t | size_buffer (bytes_view const &value) noexcept
static zview | to_buf (char *begin, char *end, bytes_view const &value)
static char * | into_buf (char *begin, char *end, bytes_view const &value)
static bytes_view | from_string (std::string_view text)
| Parse a string representation of a `TYPE` value.

## Static Public Attributes

static constexpr bool | converts_to_string {true}
static constexpr bool | converts_from_string {false}

## Member Function Documentation

## from_string()

bytes_view pqxx::string_traits< bytes_view >::from_string | ( | std::string_view | text | ) |

inline static nodiscard

Parse a string representation of a `TYPE` value.

Throws `conversion_error` if `value` does not meet the expected format for a value of this type.

Warning
  A null value has no string representation. Do not parse a null.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx